PropertyArity (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class PropertyArity

    java.lang.Object
      edu.harvard.hul.ois.jhove.EnumerationType
          edu.harvard.hul.ois.jhove.PropertyArity

    public final class PropertyArity

extends EnumerationType

This class represents the arity (structure type) of a Property. Applications will not create or modify PropertyArities, but will use one of the predefined PropertyArity instances ARRAY, LIST, MAP, SCALAR, or SET.

See Also:
  `Property`

Field Summary
`static PropertyArity` | `ARRAY` An Arity corresponding to a Java array.
`static PropertyArity` | `LIST` An Arity corresponding to java.util.List or any of its derived classes.
`static PropertyArity` | `MAP` An Arity corresponding to java.util.Map or any of its derived classes.
`static PropertyArity` | `SCALAR` An Arity corresponding to a simple object, which must be of a type corresponding to one of the instances of `PropertyType`.
`static PropertyArity` | `SET` An Arity corresponding to java.util.Set or any of its derived classes.

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.EnumerationType
`equals, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ARRAY

    public static final PropertyArity ARRAY

  An Arity corresponding to a Java array. For the Java types `Integer`, `Boolean`, `Byte`, `Character`, `Double`, `Float`, `Long`, and `Short`, a Property with arity ARRAY is an array of primitive Java types rather than Objects (e.g., `int` rather than `Integer`).

### LIST

    public static final PropertyArity LIST

  An Arity corresponding to java.util.List or any of its derived classes.

### MAP

    public static final PropertyArity MAP

  An Arity corresponding to java.util.Map or any of its derived classes.

### SCALAR

    public static final PropertyArity SCALAR

  An Arity corresponding to a simple object, which must be of a type corresponding to one of the instances of `PropertyType`.

### SET

    public static final PropertyArity SET

  An Arity corresponding to java.util.Set or any of its derived classes.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD